# DROP STATISTICS

DROP STATISTICS — remove extended statistics

### Synopsis

```
DROP STATISTICS [ IF EXISTS ] name [, ...]
```

### Description

`DROP STATISTICS` removes statistics object(s) from the database. Only the statistics object's owner, the schema owner, or a superuser can drop a statistics object.

### Parameters

`IF EXISTS`

Do not throw an error if the statistics object does not exist. A notice is issued in this case.

*`name`*

The name (optionally schema-qualified) of the statistics object to drop.

### Examples

To destroy two statistics objects in different schemas, without failing if they don't exist:

```
DROP STATISTICS IF EXISTS
    accounting.users_uid_creation,
    public.grants_user_role;
```

### Compatibility

There is no `DROP STATISTICS` command in the SQL standard.

### See Also

[ALTER STATISTICS](/13/reference/sql-commands/alter-statistics.md), [CREATE STATISTICS](/13/reference/sql-commands/create-statistics.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/13/reference/sql-commands/drop-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
